/*                   
 * INNOV-2: Build a Better Web Interface Using AJAX
 *                   
 * ajaxreq.i         
 *                   
 * This include file encapsulates the ajaxRequest JavaScript function.
 *
 * It should be called with an argument &ResponseHandler, that sould contain
 * The JavaScript code to handle the xml responses.
 */                  

/*
 *  NB:  This include file generates human-readable JavaScript code.  In 
 *       In general, you can make your javascripts load faster by removing
 *       all of the unnecessary white space and line feeds.
 */
{&OUT}
  '<script language="javascript" type="text/javascript">'
  '<!--//--><![CDATA[//><!--' skip
  "function ajaxRequest(url) ~{" skip( 1 )
  "    function processReqChange() ~{" skip
  "        // only if req shows complete" skip
  "        if (req.readyState == 4) ~{" skip
  "            // only if OK" skip
  "            if (req.status == 200 || req.status == 0) ~{" skip
  "                xmlResponse = req.responseXML.documentElement;" skip
&IF DEFINED( ResponseHandler ) ne 0 &THEN
  "                " + {&ResponseHandler} +
&ENDIF
  "            ~} else ~{" skip
  "                alert('There was a problem retrieving the XML data: ' + "
                         "req.statusText);" skip
  "            ~}" skip
  "        ~}" skip
  "    ~} // processReqChange()" skip( 1 )
  "    var req = null;" skip( 1 )
  "    // prevent browser caching..." skip
  "    url += ((url.indexOf('?') > -1) ? '&' : '?') + 'ajaxid=' + "
              "new Date().valueOf();" skip( 1 )
  "    // branch for native XMLHttpRequest object" skip
  "    if (window.XMLHttpRequest) ~{" skip
  "        req = new XMLHttpRequest();" skip
  "        req.onreadystatechange = processReqChange;" skip
  "        req.open(~"GET~", url, true);" skip
  "        req.send(null);" skip
  "    // branch for IE/Windows ActiveX version" skip
  "    ~} else if (window.ActiveXObject) ~{" skip
  "        req = new ActiveXObject(~"Microsoft.XMLHTTP~");" skip
  "        if (req) ~{" skip
  "            req.onreadystatechange = processReqChange;" skip
  "            req.open(~"GET~", url, true);" skip
  "            req.send();" skip
  "        ~}" skip
  "    ~}" skip
  "~} // ajaxRequest( url )" skip
  "//--><!]]></script>" skip( 1 ).
