/*
 * INNOV-2: Build a Better Web Interface with AJAX
 *
 * example1.p
 *
 * This program generates a html page that uses static Javascript (not AjAX)
 * to set the options in one combo-box based on the selection in another.
 */

{cgidefs.i}

Define variable SessionCount  as  integer no-undo.

{&OUT}
  '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" '
  '"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">' skip( 1 )
  '<html>' skip
  '<head>' skip
  '<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />'
  skip
  '<meta http-equiv="Pragma" content="no-cache" />' skip
  '<link rel="stylesheet" href="/innov-2.css" />' skip( 1 )
  '<title>INNOV-2: Example 1 - Static JavaScript</title>' skip( 1 )
  '<script language="javascript" type="text/javascript">'
  '<!--//--><![CDATA[//><!--' skip
  'function chgSesOptions() ~{' skip
  '    document.demoform.ses.length = 0;' skip
  '    document.demoform.ses[0] = new Option("Choose a Session","");' skip
  '    switch (document.demoform.ts.value) ~{' skip.
for each class where class.classdate eq 06/05/2006
         no-lock break by class.classtime by class.ClassID:
  if first-of( class.classtime ) then
  do:
    SessionCount = 0.
    {&OUT}
      '    case "' class.classtime '" :' skip.
  end.
  SessionCount = SessionCount + 1.
  {&OUT}
    '        document.demoform.ses[' SessionCount '] = new Option("'
    Class.Classid ": " Class.ClassName '","' Class.Classid '");' skip.
  if last-of( class.classtime ) then
    {&OUT}
      '        break;' skip.
end.  /**  for each class  **/
{&OUT}
  '    ~} // switch' skip
  '~} // chgSesOptions()' skip
  '//--><!]]></script>' skip( 1 )
  '</head>' skip( 1 )
  '<body>' skip( 1 )
  '<p />' skip
  '<div align="center">' skip
  '<blockquote>This is an example using static JavaScript to set the options'
  ' in one combo-box based on the selected option in another combo-box.'
  '</blockquote>' skip( 1 )
  '<form name="demoform">' skip
  '<table align="center">' skip
  '<tr><th>Date:</th><td width="600">June 5, 2006</td></tr>' skip
  '<tr><th>Time Slot:</th><td><select id="ts" name="ts" onChange="chgSesOptions();">' skip
  '  <option selected="selected">Choose</option>' skip.

for each class where class.classdate eq 06/05/2006
         no-lock break by class.classtime:
  if first-of( class.classtime ) then
    {&OUT}
      '  <option value="' class.classtime '">'
        string(class.classtime, "xx:xx")
        '</option>' skip.
end.  /**  for each class  **/


{&OUT}
  '</select></td></tr>' skip
  '<tr><th>Breakout Session:</th><td><select id="ses" name="ses">' skip
  '</select></td></tr>' skip
  '</table>' skip
  '</form>' skip
  '</div>' skip
  '</body>' skip
  '</html>' skip.
